package pgenr

import (
	"io/ioutil"
	"testing"
)

func TestRender(t *testing.T) {
	page := NewPage("Hi Jon Snow,")
	page.SetHead("Hi Jon Snow,").
		SetCopyright("Copyright © 2017 Hermes. All rights reserved")
	page.AddIntro("Welcome to Hermes! We're very excited to have you on board.")
	//page.AddEntry(NewEntry("Welcome to Hermes").AddItem("Stock1", NewText("14.58", WithTextTheme(TextThemeSuccess))).AddItem("asddas", NewText("15.8", WithTextTheme(TextThemeDanger))))
	page.AddOutro("Need help, or have questions? Just reply to this email, we'd love to help.")
	page.AddOutro("Yours truly,")
	page.AddOutro("Hermes - http://google.com")
	//page.AddButtonAction("To get started with Hermes, please click here:", NewButton("Confirm your account", "https://example-hermes.com/"))
	page.AddInviteCodeAction("To get started with Hermes, please click here:", "950038")
	if str, err := Render(page); err == nil {
		ioutil.WriteFile("d:\\aaa.html", []byte(str), 0644)
	} else {
		t.Error(err)
	}
}
